# Test: No prompts field (optional)
# Expected: PASS

agent:
  metadata:
    id: no-prompts
    name: No Prompts
    title: No Prompts
    icon: 🧪
    hasSidecar: false

  persona:
    role: Test agent without prompts
    identity: I am a test agent without prompts field.
    communication_style: Clear
    principles:
      - Test optional fields

  menu:
    - trigger: help
      description: Show help
      action: display_help
